Bug 27501 - Перепилить: man-base -> man
: Перепилить: man-base -> man
Status: CLOSED WONTFIX
: Branch p8
(All bugs in Branch p8/man)
: не указана
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2012-06-25 20:36 by
Modified: 2017-08-28 16:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-06-25 20:36:28
С таким распилом пакета, который я сделал в #21793, есть шанс, что в hasher
приедет man-whatis. Я предполагал, что нужно поменять в пакетах, в которых не
нужен man-whatis (скорее всего во всех), зависимость с man на man-base.
Но есть мнение, что в современном мире whatis уже почти никому не нужен.
Поэтому предлагается вернуть все из man-base обратно в man, оставив отдельно
man-whatis.
Это грозит тем, что при обновлении с версии < 1.6f-alt13 пропадет whatis и его
база. Я думаю, что это вряд ли кто вообще заметит. Зато man у нас опять будет в
пакете man.

См.
http://git.altlinux.org/people/sem/packages/man.git?p=man.git;a=shortlog;h=refs/heads/tmp

Там же исправление по составу пакетов, %_cachedir/man должен принадлежать
пакету
man, а не man-whatis.
------- Comment #1 From 2012-06-26 00:10:28 -------
Такие изменения должны вылежаться, учитывая, что предыдущее ваше изменение
устраивало всех.
------- Comment #2 From 2012-06-26 00:38:39 -------
(In reply to comment #1)
> Такие изменения должны вылежаться, учитывая, что предыдущее ваше изменение
> устраивало всех.

Это изменение хорошо бы сделать побыстрее, пока в репозитории не появились
автозависимости на man-base. :(
------- Comment #3 From 2012-06-26 00:46:54 -------
Тогда делай. Не люблю метаний.
------- Comment #4 From 2012-06-26 00:53:36 -------
(In reply to comment #3)
> Тогда делай. Не люблю метаний.

Бюрократ. :)
------- Comment #5 From 2012-06-26 01:26:01 -------
man-pages-posix-2003-a#1.2003-alt1    /etc/cron.daily/makewhatis
man-pages-uk#20030816-alt2    /etc/cron.daily/makewhatis
    ACLs of affected packages:
man-pages-posix-2003-a    @nobody
man-pages-uk    @nobody

Ба! а вот и новый мантейнер у манов!
А ты говоришь бюрократ :)
------- Comment #6 From 2012-06-26 02:54:16 -------
man-1.6f-alt14 -> sisyphus:

* Tue Jun 26 2012 Dmitry V. Levin <ldv@altlinux> 1.6f-alt14
- Merged man-base subpackage back to man subpackage; man-whatis
  subpackage is no longer required by man subpackage
  (by Mikhail Efremov; closes: #27501).
------- Comment #7 From 2014-12-03 09:19:54 -------
Верните apropos в основной пакет. Без него man неполнофункционален: не работает
man -k.
------- Comment #8 From 2017-05-04 10:54:22 -------
В Сизифе произошла замена man -> man-db, для man-db не актуально:

$ rpm -qf /usr/bin/apropos
man-db-2.7.6.1-alt3
------- Comment #9 From 2017-08-28 16:10:29 -------
man-db ушёл в p8